summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/unpacker.eclass')
-rw-r--r--eclass/unpacker.eclass5
1 files changed, 2 insertions, 3 deletions
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 3011f2fc44ad..3d8bf7a8452d 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -243,9 +243,8 @@ unpack_makeself() {
esac
# lets grab the first few bytes of the file to figure out what kind of archive it is
- local decomp= filetype suffix tmpfile="${T}/${FUNCNAME}"
- "${exe[@]}" 2>/dev/null | head -c 512 > "${tmpfile}"
- filetype=$(file -b "${tmpfile}") || die
+ local decomp= filetype suffix
+ filetype=$("${exe[@]}" 2>/dev/null | head -c 512 | file -b -) || die
case ${filetype} in
*tar\ archive*)
decomp=cat